### Method

# Camel URL to_string

#### Declaration [src]

    gchar*
    camel_url_to_string (
      CamelURL* url,
      CamelURLFlags flags
    )

#### Description [src]

Flatten a `CamelURL` into a string.

#### Parameters

`flags`

  Type: `CamelURLFlags`

  Additional translation options.

#### Return value

Type: `gchar*`

A string representing `url`, which the caller must free.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.